# Interface ImportTree

All Superinterfaces:
  `Tree`

public interface ImportTree extends Tree
A tree node for an import declaration. For example:

      import qualifiedIdentifier ;

      import static qualifiedIdentifier ;

See Java Language Specification:
  7.5 Import Declarations
Since:
  1.6

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tree`
  `getQualifiedIdentifier()`
  Returns the qualified identifier for the declaration(s) being imported.
  `boolean`
  `isModule()`
  Returns true if this is an module import declaration..
  `boolean`
  `isStatic()`
  Returns true if this is a static import declaration.

  ### Methods declared in interface Tree

  `accept, getKind`

- ## Method Details

  - ### isStatic

    boolean isStatic()
    Returns true if this is a static import declaration.
    Returns:
      true if this is a static import

  - ### isModule

    boolean isModule()
    Returns true if this is an module import declaration..
    Returns:
      true if this is an module import declaration.
    Since:
      25

  - ### getQualifiedIdentifier

    Tree getQualifiedIdentifier()
    Returns the qualified identifier for the declaration(s) being imported. If this is an import-on-demand declaration, the qualified identifier will end in "*".
    Returns:
      a qualified identifier, ending in "*" if and only if this is an import-on-demand